<h1>
    <a id="#" href="https://dx.network" target="_blank">
        <img src="https://i.imgur.com/1JM5lXw.png" width="50%" alt="The DX Network" />
    </a>
</h1>

**The DX Network is a protocol to standardise the exchange of structured data by creating domain-specific data marketplaces.**
Each marketplace is defined by a [data model](https://docs.dx.network/#data-models) specified in OWL and enables data owners and consumers to sell/buy data from each other programmatically.
The [first marketplace](https://docs.dx.network/#dx-tech-industry-model) on the DX Network allows for the exchange of structured data about technology companies, products, news, investors and investments.

<h2>
    Python SDK&nbsp;
    <img src="https://img.shields.io/pypi/v/DX.py.svg?colorB=green" alt="Latest version" style="margin-left: 12px" />
    <img src="https://img.shields.io/github/license/TheDXNetwork/dx-sdk-python.svg" alt="License" />
    <img src="https://img.shields.io/github/issues/TheDXNetwork/dx-sdk-python.svg" alt="Issues" />
</h2>

### Getting Started

1. *(Optional)* Install Python 3 by following the guide for your choice of OS [here](https://realpython.com/installing-python/).<br />
> On Windows, replace `pip3` and `python3` with `pip` and `python` in the following commands. Activate the virtual environment by replacing `source env/bin/activate` with `env\Scripts\activate.bat`. 

2. *(Optional)* Setup a virtual environment by running:<br/>
```shell
python3 -m venv env && source env/bin/activate
```

3. Install the DX package by running:
```shell
pip3 install DX.py
```

4. Download the example script from the `examples` folder ([link](https://raw.githubusercontent.com/TheDXNetwork/dx-sdk-python/master/examples/DX-examples.py)). 

5. Replace the arguments of `DX.wallet.load` with a wallet filename and password that has Testnet (*Ropsten*) DX Tokens and Ethers. [Get in touch](mailto:info@dx.network) if you need Testnet DX Tokens or Ethers.

6. Run the modified script:
```shell
python3 DX-examples.py
```

For more details on how to interact with the DX Network using the Python SDK, please check out our [API docs](https://docs.dx.network).

### License

This project is licensed under the MIT License — see the LICENSE file for details.

### Join the conversation

A great place to talk to the developers and members of the community is our [Telegram channel](https://t.me/TheDXNetworkCommunity).
If you have a question, need a hand, or want to bounce an idea off of other people come on over and join the conversation. 

Learn more about the DX Network at — https://dx.network

Check out our project updates at — https://medium.com/TheDXNetwork

Follow the DX Network on Twitter at — https://twitter.com/TheDXNetwork

Find the DX Network on Facebook at — https://www.facebook.com/TheDXNetwork

